/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef LINUX
#include <stdio.h>
#include "SDL.h"
#endif


#include "Platform.h"
#include "Gfx.h"
#include "logo.h"
#include "porsche.h"

int main () {
  GfxInit();
  GfxClear(0, 0xF0);
 
  GfxLine (0, 0,0,239, 319, 200);
  GfxLine (0, 239,0,0, 319, 48);

  GfxLocate(0, 25);
  GfxString ("ABCDEFGHIJKLMNOPQRSTUVWXYZ", 0, 200);

  GfxLocate(0, 29);
  GfxString ("B", 5, 4);

  GfxLocate(39, 0);
  GfxString ("Salut poilu", 10, 100);
  GfxString (" Ca beigne ?", 23, 185);
  GfxLocate(39, 27);
  GfxString ("abcdefghijklmnopqrstuvwxyz", 0x33, 3);

  int i;
  for (i = 0; i < GFX_SCREEN_W; i+=2) {
	GfxPixel (0, i, 160, i%16);
  }

  GfxRectangle (0, 20, 30, 90, 60, 0xE0);
  GfxFillRectangle (0, 120, 130, 40, 140, 0x1C);

  GfxCircle (0, 100, 100, 40, 0x03);
  GfxUpdate ();

  GfxWaitTouched ();

  GfxClear(0, 0xE3);
  GfxDrawPixmap (0, 30, 50, logo_witdh, logo_height, logo);
  GfxUpdate ();

  GfxWaitTouched (); 

  GfxClear(0, 0x00);
  GfxDrawPixmap (0, 0, 0, porsche_witdh, porsche_height, porsche);
  GfxUpdate ();

  GfxWaitTouched ();

  GfxClear(0, 0x00);
  GfxStringXY (0, "ABCD", 2, 316, 0xFF, 0);
  GfxStringXY (0, "ABCDEFGHIJKLMNO", 220, 99, 0xFF, 0);
  GfxStringXY (0,"THE END", 100, 160, 0x7E, 0);
  GfxUpdate ();
  
  GfxWaitTouched ();

  GfxQuit();
  return 0;
}
