/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

// -----------------
// AWA : Application
// -----------------

#ifndef AWA_H
#define AWA_H

#include "AW.h"
#include <list>
using namespace std;

class AWD;
class AWA {
 public:
  AWA ();
  virtual ~AWA ();

  void AttachDialog (AWD *aAWD);
  void MainLoop ();
  bool GetEvent (EVT &evt);
  void AddEvent (const EVT &evt);
  virtual void Process ();

 protected:
  bool ManageDialogs ();
  bool ManageMouse ();

  AWD* FindAWDUnderMouse ();
  list<AWD*> listOfAWD;
  AWD *mAWDSelected;
  bool Front (AWD *aAWD);
  bool IsCollision (const AWD *aAWDsrc, const AWD *aAWDdst) const;
  void ShowDialogOrder () const ; // DEBUG
  bool GetMouseEvent (int &mouse_move, int &mouse_button);

  UInt16 mx,my; // Mouse x,y
  bool mb1,mb2; // Mouse buttons

  EVT _events; // On ly the last one
  bool _evtready;
};
#endif
