/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

// -------------------
// AWD : Dialog window
// -------------------
#ifndef AWD_H
#define AWD_H

#include "AW.h"
#include <set>

class AWA;
class AWD : public AW {
 public:
  AWD (int ax, int ay, int aw, int ah, const char *atitle);
  virtual ~AWD ();
  int GetId () const { return Id;}

  bool AttachObject (AW *aAW);
  virtual int Move (int ax, int ay);

  bool NeedToShow() const { return needToShow; }
  bool NeedToHide() const { return needToHide; }
  void SetShowFlag(bool f) { needToShow=f; }
  void SetHideFlag(bool f) { needToHide=f; }

  virtual bool ProcessEvent (int mouse_move, UInt16 mx, UInt16 my,
							 int mouse_button, bool mb1, bool mb2,
							 EVT& evt);
  virtual void Show ();
  virtual void Hide ();
  virtual EVT Leave ();
  virtual void Enter ();

  virtual void InternalShow();
  virtual void InternalHide();
  virtual bool IsFrontable () const { return true; }

 protected:
  virtual void Draw ();
  virtual void UnDraw ();

 protected:
  AW* FindAWUnderMouse (int mxx, int myy);
  AW *mAWSelected;
  char *title;
  set<AW*> setOfAW;
  gfxbitmap *saved_area;
  int Id;
  bool needToHide;
  bool needToShow;
};
#endif
