/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <string.h>

#include "AWVB.h"
#include "AWD.h"

AWVB::AWVB (AWD *aParent, int ax, int ay, int aw, int ah, UInt8 Id) : AW (aParent,ax,ay,aw,ah), _Id(Id) {
  pressed=0;
  
}
AWVB::~AWVB () {
}

bool AWVB::ProcessEvent (int mouse_move, UInt16 mx, UInt16 my, 
						 int mouse_button, bool mb1, bool mb2, 
						 EVT &evt) {
  return false;
}

// User level
int AWVB::SetState (int aState) {
  if (pressed==aState) return 1; // No change. Do nothing
  if (aState) pressed=1;
  else        pressed=0;

  if (IsVisible()) Draw ();
  return 0; // OK
}


// Events
EVT AWVB::Pressed () {
#if DEBUG_EVT
  printf ("AWVB::Pressed\n");
#endif 
  SetState (1);
  EVT evt (GetId(), EVT_PRESSED);
  return evt;
}

EVT AWVB::UnPressed () {
#if DEBUG_EVT
  printf ("AWVB::UnPressed\n");
#endif 
  SetState (0);
  EVT evt (GetId(), EVT_UNPRESSED);
  return evt;
}

void AWVB::Draw () {
}

void AWVB::UnDraw () {
}

EVT AWVB::Leave () {
#if DEBUG_EVT
  printf ("AWVB::Leave\n");
#endif
  EVT evt;
  return evt;
}
void AWVB::Enter () {
 #if DEBUG_EVT
  printf ("AWVB::Enter\n");
#endif 
}

// End of file
