/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

// ------------------------
// AWVB : Button class base
// ------------------------

#ifndef AWVB_H
#define AWVB_H

#include "AW.h"

class AWD;

class AWVB : public AW {
 public:
  AWVB (AWD *aParent, int ax, int ay, int aw, int ah, UInt8 Id);
  virtual ~AWVB ();
  
  virtual bool ProcessEvent (int mouse_move, UInt16 mx, UInt16 my, 
							 int mouse_button, bool mb1, bool mb2,
							 EVT &evt);

  int IsPressed () const {return pressed;}
  int SetState (int aState);
  UInt8 GetId () const { return _Id; }
  
 protected:
  // Kind of events
  virtual EVT Leave ();
  virtual void Enter ();
  virtual EVT Pressed ();
  virtual EVT UnPressed ();

  virtual void Draw ();
  virtual void UnDraw ();

 private:
  int pressed;
  UInt8 _Id;
};
#endif
