/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef LINUX
#include <stdio.h>
#endif

#include "Wdt.h"
#include "sm1.h"
#include "sm2.h"

int main () {
  GfxInit();
  GfxClear(0xF0);

  Wdt_LABEL *label1 = WdtLabelNew (20, 20, 0x3C, 0xF0, "Label 1");
  Wdt_LABEL *label2 = WdtLabelNew (20,  32, 0x7C, 0xF0, "Label 2");
  Wdt_FRAME *frame1 = WdtFrameNew (10, 10, 200, 30, 0xFC, 0xF0);
  Wdt_CHECKBOX *check1 = WdtCheckBoxNew (20, 100, 20, 0xFC, 0xF0);
  Wdt_CHECKBOX *check2 = WdtCheckBoxNew (20, 122, 20, 0xFC, 0xF0);
  WdtCheckBoxSetChecked (check2, true);
  Wdt_CHECKBOX *check3 = WdtCheckBoxNew (20, 144, 20, 0xFC, 0xF0);
  
  Wdt_PROGRESS *prog1 = WdtProgressNew (20, 50, 180, 8, 0xFC, 0xF0, Wdt_PROGRESS_HORIZONTAL, 0.0, 10.0, 1);
  WdtProgressSetValue (prog1, 5.2);

  Wdt_PROGRESS *prog2 = WdtProgressNew (20, 70, 180, 8, 0xFC, 0xF0, Wdt_PROGRESS_HORIZONTAL, 0.0, 10.0, 1);
  WdtProgressSetValue (prog2, 8.2);

  Wdt_PROGRESS *prog3 = WdtProgressNew (100, 100, 16, 180, 0xFC, 0xF0, Wdt_PROGRESS_VERTICAL, 0.0, 20.0, 0);
  WdtProgressSetValue (prog3, 3);

  Wdt_PROGRESS *prog4 = WdtProgressNew (140, 100, 16, 180, 0xFC, 0xF0, Wdt_PROGRESS_VERTICAL, 0.0, 20.0, 2);
  WdtProgressSetValue (prog4, 12.24);

  Wdt_ICON *icon1 = WdtIconNew (20, 200, sm2_witdh, sm2_height, sm1, sm2);
  WdtIconDraw (icon1, false);

  Wdt_ICON *icon2 = WdtIconNew (20, 240, sm2_witdh, sm2_height, sm2, sm1);
  WdtIconDraw (icon2, false);

  WdtLabelDraw (label1, false);
  WdtLabelDraw (label2, false);
  WdtCheckBoxDraw (check1, false);
  WdtCheckBoxDraw (check2, false);
  WdtCheckBoxDraw (check3, false);
  WdtFrameDraw (frame1);
  WdtProgressDraw (prog1, false);
  WdtProgressDraw (prog2, false);
  WdtProgressDraw (prog3, false);
  WdtProgressDraw (prog4, false);

  GfxUpdate ( );
  int i;
  bool sel = false;
  for (i = 0; i < 10; i++) {
	if (sel) sel = false;
	else sel = true;
	WdtIconSetSelection (icon1, sel);
	WdtIconDraw (icon1, false);
	GfxUpdate ( );
	sleep (1);
  }
  GfxWaitTouched ();

  GfxQuit();
  return 0;
}
END_OF_MAIN();
