/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef Wdt_CHECKBOX_H
#define Wdt_CHECKBOX_H

#include "WdtInt.h"

typedef struct _Wdt_CHECKBOX {
  // Coordinates
  UInt16 x, y;
  UInt16 size;
  UInt8 _fgcolor, _bgcolor;

  bool focus;     // 0 : Not focused, 1 : focused
  bool checked;   // 0 : No cross bar, 1 : cross bar
  bool frozen;    // 0 : Normal, 1 : Not editable

  bool toredraw;
} Wdt_CHECKBOX;

Wdt_CHECKBOX * WdtCheckBoxNew (UInt16 x, UInt16 y, UInt16 size, UInt8 fgcolor, UInt8 bgcolor);
void WdtCheckBoxDelete (Wdt_CHECKBOX *aWdtCheckBox);

void WdtCheckBoxDraw (Wdt_CHECKBOX *aWdtCheckBox, bool force);
void WdtCheckBoxSetChecked (Wdt_CHECKBOX *aWdtCheckBox, bool checked);
bool WdtCheckBoxGetChecked (Wdt_CHECKBOX *aWdtCheckBox);
void WdtCheckBoxSetFrozen (Wdt_CHECKBOX *aWdtCheckBox, bool frozen);
bool WdtCheckBoxGetFrozen (Wdt_CHECKBOX *aWdtCheckBox);
void WdtCheckBoxSetFocus (Wdt_CHECKBOX *aWdtCheckBox, bool focus);
bool WdtCheckBoxGetFocus (Wdt_CHECKBOX *aWdtCheckBox);
#endif
