/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef Wdt_FRAME_H
#define Wdt_FRAME_H

#include "WdtInt.h"

typedef struct _Wdt_FRAME {
  bool visibility;
  bool toredraw;

  UInt16 x, y; // Coords
  UInt16 w, h; // Width & Height
  UInt8 _fgcolor;
  UInt8 _bgcolor;

} Wdt_FRAME;

Wdt_FRAME * WdtFrameNew (UInt16 x, UInt16 y, UInt16 w, UInt16 h, UInt8 fgcolor, UInt8 bgcolor);
void WdtFrameDelete (Wdt_FRAME *aWdtFrame);

void WdtFrameDraw (Wdt_FRAME *aWdtFrame);
bool  WdtFrameGetVisibility (Wdt_FRAME *aWdtFrame);
void WdtFrameSetVisibility (Wdt_FRAME *aWdtFrame, bool visibility);

#endif

