// WdtFsm.h

#ifndef WDT_FSM_H
#define WDT_FSM_H

// Finite State Machine to manage transitions in panels
#include "WdtFsmUser.h"

typedef struct _IHM_FSM_STATE {
  FSM_STATE_ID esc;    // Step to reach if ESC key is pressed
  FSM_STATE_ID enter;  // Step to reach if ENTER key is pressed
  
  FSM_STATE_ID up;     // Step to reach if UP key is pressed
  FSM_STATE_ID down;   // Step to reach if DOWN key is pressed
  FSM_STATE_ID left;   // Step to reach if LEFT key is pressed
  FSM_STATE_ID right;  // Step to reach if RIGHT key is pressed
  int bypass; // Used to skip FsmManagment (TextField)
} IHM_FSM_STATE;

FSM_STATE_ID IHMFsmGetState ();
int IHMFsmSetState (FSM_STATE_ID aState);
int IHMFsmGetNextState (int key, FSM_STATE_ID *aState);

#endif
