/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef Wdt_ICON_H
#define Wdt_ICON_H

#include "WdtInt.h"

typedef struct _Wdt_ICON {
  UInt16 x, y;
  UInt16 w, h;
  bool visibility;
  bool toredraw;

  bool selection;
  unsigned char *selected_image;    // Image number
  unsigned char *unselected_image;  // Image number

  bool blink_onoff;
  unsigned char *blink_icon; // Image to draw in blink mode
  UInt8 blink_period; // Arbitrary period (not in ticks ...)
  Int8 blink_current;
  bool blink_direction;
} Wdt_ICON;

Wdt_ICON * WdtIconNew (UInt16 x, UInt16 y, UInt16 w, UInt16 h, unsigned char *unsel_image, unsigned char *sel_image);
void WdtIconDelete (Wdt_ICON *aWdtIcon);

void WdtIconDraw (Wdt_ICON *aWdtIcon, bool force);
void WdtIconSetSelection (Wdt_ICON *aWdtIcon, bool selection);
bool WdtIconGetSelection (Wdt_ICON *aWdtIcon);
bool WdtIconGetVisibility (Wdt_ICON *aWdtIcon);
void WdtIconSetVisibily (Wdt_ICON *aWdtIcon, bool visibility);
void WdtIconSetBlinkParameters (Wdt_ICON *aWdtIcon, unsigned char *blink_icon, UInt8 blink_period);
void WdtIconSetBlinkOnOff (Wdt_ICON *aWdtIcon, bool onoff);
bool WdtIconGetBlinkOnOff (Wdt_ICON *aWdtIcon);
void WdtIconSetImage (Wdt_ICON *aWdtIcon, UInt16 w, UInt16 h, unsigned char *unsel_image, unsigned char *sel_image);
#endif
