/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef Wdt_LABEL_H
#define Wdt_LABEL_H

#include "WdtInt.h"

typedef struct _Wdt_LABEL {
  bool visibility;
  bool toredraw;
  UInt8 _fgcolor;
  UInt8 _bgcolor;

  // Size on the area to erase (points)
  UInt16 max_width;
  UInt16 max_height;

  bool justify; 
  UInt16 current_width;

  UInt16 x, y; // Coords
  char *message;
  
} Wdt_LABEL;

Wdt_LABEL *WdtLabelNew (UInt16 x, UInt16 y, UInt8 fgcolor, UInt8 bgcolor, const char *message);
void WdtLabelDelete (Wdt_LABEL *aLabel);
void WdtLabelDraw (Wdt_LABEL *aWdtLabel, bool force);
void WdtLabelSetString (Wdt_LABEL *aWdtLabel, const char *aString);
const char* WdtLabelGetString (Wdt_LABEL *aWdtLabel);
bool WdtLabelGetVisibility (Wdt_LABEL *aWdtLabel);
void WdtLabelSetVisibility (Wdt_LABEL *aWdtLabel, bool visibility);
void WdtLabelSetJustify (Wdt_LABEL *aWdtLabel, bool justify);
#endif
