// WDTPanel.h

#ifndef WDT_PANEL_H
#define WDT_PANEL_H

#include "WdtPanelUser.h"

#include "WdtIcon.h"
#include "WdtFrame.h"
#include "WdtProgress.h"
#include "WdtLabel.h"
#include "WdtCheckBox.h"
// #include "WdtTextField.h"


#define MAX_PANEL_ICONES 25 // Number of icones for each panel
#define MAX_PANEL_FRAMES 30 // Number of frames for each panel
#define MAX_PANEL_PROGRESS 5 // Number of progress bars for each panel
#define MAX_PANEL_LABELS 40 // Number of labels for each panel
#define MAX_PANEL_CHECKBOXES 10 // Number of check boxes for each panel
//#define MAX_PANEL_TEXTFIELDS 10 // Number of check boxes for each panel

typedef struct _Wdt_PANEL {
  Wdt_ICON *icones [MAX_PANEL_ICONES]; 
  Wdt_FRAME *frames [MAX_PANEL_FRAMES]; 
  Wdt_PROGRESS *progress [MAX_PANEL_PROGRESS];
  Wdt_LABEL *labels [MAX_PANEL_LABELS];
  Wdt_CHECKBOX *checkboxes [MAX_PANEL_CHECKBOXES];
  //Wdt_TEXTFIELD *textfields [MAX_PANEL_TEXTFIELDS];
} Wdt_PANEL;

void WdtPanelInit (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelDraw (); // Draw completly the selected panel
int  WdtPanelGetSelected ();
int  WdtPanelSetSelected (int aPanel);
void WdtPanelManage (int key, int key_level); // FSM implementation
void WdtPanelUpdate (); // Redraw only specific widgets if needed
#endif
