// WdtPanelUser.h
#ifndef WDT_PANEL_USER_H
#define WDT_PANEL_USER_H

// Panel manipulation
enum PANEL_ID {
  // Beginning of user section
  PANEL_P1, 
  PANEL_P2,
  PANEL_P3,
  PANEL_A0, 
  PANEL_A1, 
  PANEL_A2, 
  PANEL_A3, 
  PANEL_A4, 
  PANEL_A5, 
  PANEL_A6, 
  PANEL_P11,
  PANEL_P12,
  PANEL_P13,
  PANEL_P14,
  PANEL_P15,
  PANEL_P21,
  PANEL_P22,
  // End of user section

  MAX_PANELS 
};
 
// PANEL 1
enum PANEL1_LABELS { P1_L0, // ex : POTAIN -H20/14C
		     P1_L1, // ex : #24645
		     P1_L2, // ex : 12:54
		     P1_L3, // ex : 06/08/05
		     P1_L4 // ex : 72 km/h
}; 

enum PANEL1_PROGRESS { P1_P0, // (S2)
		       P1_P1, // (S3)
		       P1_P2, // (S4)
		       P1_P3 }; // (S5)

enum PANEL1_ICONS { P1_I0, // fichier
		    P1_I1, // horloge
		    P1_I2, // anemometre
		    P1_I3, // palant
		    P1_I4, // facteur multiplication
		    P1_I5, // grue gd
		    P1_I6, // grue hb
		    P1_I7, // grue moment
		    P1_I8, // grue poids
		    P1_I9, // unite (S2)
		    P1_I10, // unite (S3)
		    P1_I11, // pourcentge (S4)
		    P1_I12 }; // unite (S5)

enum PANEL1_FRAMES { P1_F0,
		     P1_F1,
		     P1_F2,
		     P1_F3 };

// PANEL 2
enum PANEL2_ICONS { P2_I0, // fichier 
                    P2_I1, // horloge
                    P2_I2, // anemometre
                    P2_I3, // palan
                    P2_I4, // x2
                    P2_I5, // Disquette
                    P2_I6, // Paillasse
                    P2_I7, // Line 1
                    P2_I8, // Line 2
                    P2_I9, // Line 3
                    P2_I10,// Line 4
                    P2_I11,// Line 5
		    P2_Moufflage
};

enum PANEL2_PROGRESS { P2_P0 };

enum PANEL2_FRAMES { P2_F0, // main frame
                     P2_F1, // main frame
                     P2_F2, // main H
                     P2_F3, // main H
                     P2_F4, // main H
                     P2_F5, // main V
                     P2_F6, // Top line
                     P2_F7, // Top line
                     P2_F8, // line 1
                     P2_F9, // line 2
                     P2_F10,// line 3
                     P2_F11,// line 4
                     P2_F12,// line 5
                     P2_F13,// main nb
		     P2_F13_1,// main nb // FB10
		     P2_F13_2,// main nb // FB10
                     P2_F14,// line 1
                     P2_F15,// line 2
                     P2_F16,// line 3
                     P2_F17,// line 4
                     P2_F18,// line 5
                     P2_F19,// prog 1
                     P2_F20,// prog 2
                     P2_F21,// prog 3
                     P2_F22,// prog 4
                     P2_F23,// prog seuil top
                     P2_F24,// prog seuil middle
                     P2_F25,// prog seuil bottom
};

enum PANEL2_LABELS { P2_L0, // POTAIN -H20/14C
                     P2_L1, // #24645
                     P2_L2, // 12:54
                     P2_L3, // 06/08/05
                     P2_L4, // 72 km/h
                     P2_L9, // 100%
                     P2_L10,// 75%
                     P2_L11,// 50%
		     P2_Cycles,
		     P2_DateRAZ,
		     P2_TempsTotTrav,
		     P2_TempsChariot,
		     P2_TempsLevage, 
		     P2_TempsElevator,
		     P2_SommeCharges,
		     P2_DateTimeDepart,
		     P2_Duree,
		     P2_Moment,
		     P2_Charge,
		     P2_PosCharDep,
		     P2_PosCharArr,
		     P2_NbCyclesZ1,
		     P2_NbCyclesZ2,
		     P2_NbCyclesZ3,
		     P2_NbCyclesZ4
};


// PANEL 3
enum PANEL3_ICONS { P3_I0, // fichier
                    P3_I1, // horloge
                    P3_I2, // anemometre
                    P3_I3, // palan
                    P3_I4, // x2
                    P3_I5, // paillasse
                    P3_I6, // table time
                    P3_I7, // table note
                    P3_I8, // table line 1
                    P3_I9, // table line 2
                    P3_I10,// table line 3
                    P3_I11,// table line 4
                    P3_I12,// table line 5
                    P3_I13,// table line 6
                    P3_I14,// table line 7
                    P3_I15,// table line 8
                    P3_I16,// table line 9
                    P3_I17,// table line 10
                    P3_I18,// table line 11
                    P3_I19,// table line 12
                    P3_I20,// table line 13
};

enum PANEL3_FRAMES { P3_F0, // top line
                     P3_F1, // top line
                     P3_F2, // table top line
                     P3_F3, // table top line
                     P3_F4, // table V line
                     P3_F5, // table V line
                     P3_F6, // table line 1
                     P3_F7, // table line 2
                     P3_F8, // table line 3
                     P3_F9, // table line 4
                     P3_F10,// table line 5
                     P3_F11,// table line 6
                     P3_F12,// table line 7
                     P3_F13,// table line 8
                     P3_F14,// table line 9
                     P3_F15,// table line 10
                     P3_F16,// table line 11
                     P3_F17,// table line 12
                     P3_F18,// table line 13
                     P3_F19,// 1 / n frame
                     P3_F20,// 1 / n frame
                     P3_F21,// 1 / n frame
};

enum PANEL3_LABELS { P3_L0, // POTAIN -H20/14C
                     P3_L1, // #24645
                     P3_L2, // 12:54
                     P3_L3, // 06/08/05
                     P3_L4, // 72 km/h
                     P3_L5, // 1/n
                     P3_L6, // Icone list
                     P3_L7, // Icone list
                     P3_L8, // Icone list
                     P3_L9, // Icone list
                     P3_L10,// Icone list
                     P3_L11,// Icone list
                     P3_L12,// Icone list
                     P3_L13,// Icone list
                     P3_L14,// Icone list
                     P3_L15,// Icone list
                     P3_L16,// Icone list
                     P3_L17,// Icone list
                     P3_L18,// Icone list
                     P3_L19,// Icone list
                     P3_L20,// Icone list
                     P3_L21,// Icone list
                     P3_L22,// Icone list
                     P3_L23,// Icone list
                     P3_L24,// Icone list
                     P3_L25,// Icone list
                     P3_L26,// Icone list
};

// PANEL 11
enum PANEL11_ICONS { P11_I0, // fichier
		     P11_I1, // globe
		     P11_I2, // horloge
		     P11_I3, // info
		     P11_I4, // horloge
		     P11_I5, // poutre poids
		     P11_I6, // poids
		     P11_I7, // poutre cote
		     P11_I8, // roulettes
		     P11_I9, // crochet
		     P11_I10, // cadenas petit
		     P11_I11, // roulettes
		     P11_I12, // crochet
		     P11_I13, // anemometre
		     P11_I14, // fleche gd
		     P11_I15, // fleche hb
		     P11_I16, // poids
		     P11_I17, // fleche elevator
		     P11_I18, // 
		     P11_I19, // poids
		     P11_I20, // carre fleche
		     P11_I21, // carre loupe
		     P11_I22, // disquette
		     P11_I23,
}; // carre plus

		     
enum PANEL11_FRAMES { P11_F0, // Top line
		      P11_F1, // Langue 
		      P11_F2, // Marque de grue
		      P11_F3, // Type
		      P11_F4, // N° de serie
		      P11_F5, // Upper interligne 1
                      P11_F6, // Upper V line
                      P11_F7, // Jour
                      P11_F8, // Mois
                      P11_F9, // Année
                      P11_F10,// Heure
                      P11_F11,// Minutes
                      P11_F12,// Upper interligne 2
                      P11_F13,// Poids S10
                      P11_F14,// Poids S11
                      P11_F15,// Metre S12
                      P11_F16,// Poids S13
                      P11_F17,// Upper interligne 3
                      P11_F18,// Code S14
                      P11_F19,// Code S15
                      P11_F20,// Poids S16
                      P11_F21,// Upper interligne 4
                      P11_F22,// Upper/lower interligne
}; 

enum PANEL11_LABELS { P11_L0, // date
		      P11_L1, // heure
                      P11_L2, // Francais
                      P11_L3, // "1-"
                      P11_L4, // "2-"
                      P11_L5, // "3-"
                      P11_L6, // Marque de grue
                      P11_L7, // Type
                      P11_L8, // ID
                      P11_L9, // "-" time
                      P11_L10,// "/" time
                      P11_L11,// "/" time
                      P11_L12,// ":" time
                      P11_L13,// "-" poids S10
                      P11_L14,// "Kg" poids S10
                      P11_L15,// "-" poids S11
                      P11_L16,// "Kg" poids S11
                      P11_L17,// "-" metre S12
                      P11_L18,// "m" metre S12
                      P11_L19,// "1" poids S13
                      P11_L20,// "+" poids S13
                      P11_L21,// "-" poids S13
                      P11_L22,// "Kg" poids S13
                      P11_L23,// "1-" S14
                      P11_L24,// "2-" S15
                      P11_L25,// "1" poids S16
                      P11_L26,// "+" poids S16
                      P11_L27,// "-" poids S16
                      P11_L28,// "Kg" poids S16
};

enum PANEL11_CHECKBOXES { P11_C0,
			  P11_C1,
			  P11_C2,
			  P11_C3,
};

enum PANEL11_TEXTFIELDS { P11_T0,
			  P11_T1,
			  P11_T2,
			  P11_T3,
};

// PANEL 12
enum PANEL12_ICONS { P12_I0, // fichier
		     P12_I1, // grue gd
		     P12_I2, // disquette
		     P12_I3, // carre croix
		     P12_I4, // 1 gd
		     P12_I5, // 2 gd
		     P12_I6, // OK
		     P12_I7, // OK
};
		     
enum PANEL12_FRAMES { P12_F0, // cadre ext
		      P12_F1, // cadre ext
                      P12_F2, // cadre ext ombre
                      P12_F3, // cadre T2
                      P12_F4, // cadre T3
};

enum PANEL12_LABELS { P12_L0, // Valeur mise a l'echelle
                      P12_L1, // "1"
                      P12_L2, // "2"
                      P12_L3, // Valeur brute
};

enum PANEL12_TEXTFIELDS { P12_T0, //
                          P12_T1, //
                          P12_T2, //
                          P12_T3, //
};

// PANEL 13
enum PANEL13_ICONS { P13_I0, // fichier
                     P13_I1, // grue gd
                     P13_I2, // disquette
                     P13_I3, // carre croix
                     P13_I4, // 1 gd
                     P13_I5, // 2 gd
                     P13_I6, // OK
                     P13_I7, // OK
};

enum PANEL13_FRAMES { P13_F0, // cadre
                      P13_F1, // cadre
                      P13_F2, // cadre
                      P13_F3, // saisie 1
                      P13_F4, // saisie 2
                      P13_F5, // saisie 3
                      P13_F6, // saisie 4
};

enum PANEL13_LABELS { P13_L0, // Valeur brute
                      P13_L1, // "1"
                      P13_L2, // "2"
};

// PANEL 14
enum PANEL14_ICONS { P14_I0, // fichier
                     P14_I1, // grue gd
                     P14_I2, // disquette
                     P14_I3, // carre croix
                     P14_I4, // 1 gd
                     P14_I5, // 2 gd
                     P14_I6, // OK
                     P14_I7, // OK
};

enum PANEL14_FRAMES { P14_F0, // cadre
                      P14_F1, // cadre
                      P14_F2, // cadre
                      P14_F3, // saisie 1
                      P14_F4, // saisie 2
                      P14_F5, // saisie 3
                      P14_F6, // saisie 4
};

enum PANEL14_LABELS { P14_L0, // Valeur brute
                      P14_L1, // "1"
                      P14_L2, // "2"
};

// PANEL 15
enum PANEL15_ICONS { P15_I0, // fichier
                     P15_I1, // grue gd
                     P15_I2, // disquette
                     P15_I3, // carre croix
                     P15_I4, // 1 gd
                     P15_I5, // 2 gd
                     P15_I6, // OK
                     P15_I7, // OK
};

enum PANEL15_FRAMES { P15_F0, // cadre
                      P15_F1, // cadre
                      P15_F2, // cadre
                      P15_F3, // saisie 1
                      P15_F4, // saisie 2
                      P15_F5, // saisie 3
                      P15_F6, // saisie 4
};

enum PANEL15_LABELS { P15_L0, // Valeur brute
                      P15_L1, // "1"
                      P15_L2, // "2"
};

// PANEL A0
enum PANELA0_ICONS { A0_I0 }; // cadenas	       
		     
enum PANELA0_FRAMES { A0_F0,
		      A0_F1,
                      A0_F2 };

enum PANELA0_LABELS { A0_L0 };

// PANEL A1
enum PANELA1_ICONS { A1_I0, // warning
		     A1_I1, // OK
		     A1_I2 }; // Annuler   
		     
enum PANELA1_FRAMES { A1_F0, 
                      A1_F1, 
                      A1_F2 };

enum PANELA1_LABELS { A1_L0 };

// PANEL A2
enum PANELA2_ICONS { A2_I0, // warning
		     A2_I1, // OK
		     A2_I2 }; // Annuler   
		     
enum PANELA2_FRAMES { A2_F0,
                      A2_F1,
                      A2_F2 };

enum PANELA2_LABELS { A2_L0,
                      A2_L1 };

// PANEL A3
enum PANELA3_ICONS { A3_I0, // warning
		     A3_I1, // OK
		     A3_I2 }; // Annuler   
		     
enum PANELA3_FRAMES { A3_F0,
                      A3_F1,
                      A3_F2 };

enum PANELA3_LABELS { A3_L0,
		      A3_L1};

// PANEL A4
enum PANELA4_ICONS { A4_I0, // warning
		     A4_I1, // OK
		     A4_I2 }; // Annuler   
		     
enum PANELA4_FRAMES { A4_F0,
                      A4_F1,
                      A4_F2 };

enum PANELA4_LABELS { A4_L0,
		      A4_L1,
		      A4_L2};

// PANEL A5
enum PANELA5_ICONS { A5_I0 }; // OK  
		     
enum PANELA5_FRAMES { A5_F0,
                      A5_F1,
                      A5_F2 };

enum PANELA5_LABELS { A5_L0 };

// PANEL A6
enum PANELA6_ICONS { A6_I0, // warning
		     A6_I1 }; // OK
		     
enum PANELA6_FRAMES { A6_F0,
                      A6_F1,
                      A6_F2 };

enum PANELA6_LABELS { A6_L0,
		      A6_L1 };


#define INIT_PANEL PANEL_P1 // User defined

void WdtPanelTestP1 (int sens);
void WdtPanelSetP1X(unsigned int key, unsigned int Panel);
void WdtCheckTOR(int Panel, int icone, int image, int key);

void WdtPanelInit_P1 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_P2 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_P3 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_A0 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_A1 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_A2 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_A3 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_A4 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_A5 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_A6 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_P11 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_P12 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_P13 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_P14 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_P15 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);
void WdtPanelInit_P22 (GR_DRAW_ID wid, GR_GC_ID gc, GR_GC_ID gc_progress);

void WdtPanelChangeValues_P2 ();
void WdtPanelChangeValues_P3 ();


#endif
