/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef Wdt_PROGRESS_H
#define Wdt_PROGRESS_H

#include "WdtInt.h"
#include "WdtLabel.h"

#define Wdt_PROGRESS_HORIZONTAL false
#define Wdt_PROGRESS_VERTICAL true

typedef struct _Wdt_PROGRESS {
  bool visibility;
  bool toredraw;
  UInt8 _fgcolor, _bgcolor;

  UInt16 x, y; // Coords
  UInt16 w, h; // Width & Height

  bool validity;  
  bool orientation; 
  float min, max; // Limits
  UInt8 decimales;
  float value;

  Wdt_LABEL *label;

} Wdt_PROGRESS;

Wdt_PROGRESS * WdtProgressNew (UInt16 x, UInt16 y, UInt16 w, UInt16 h, UInt8 fgcolor, UInt8 bgcolor, bool orientation, float min, float max, UInt8 decimales);
void WdtProgressDelete (Wdt_PROGRESS *aWdtProgress);

void WdtProgressDraw (Wdt_PROGRESS *aWdtProgress, bool force);
float WdtProgressGetValue (Wdt_PROGRESS *aWdtProgress);
float WdtProgressSetValue (Wdt_PROGRESS *aWdtProgress, float value);
bool WdtProgressGetVisibility (Wdt_PROGRESS *aWdtProgress);
void WdtProgressSetVisibility (Wdt_PROGRESS *aWdtProgress, bool visibility);
void WdtProgressSetValidity (Wdt_PROGRESS *aWdtProgress, bool validity);

#endif
